Captain Bezique:
The Gracian invasion force crossed the sea and attacked our kingdom not long after his majesty had ascended the throne. Many innocents lost their lives in the savage attack.
Fortunately, our wise king negotiated an alliance with Elmore, and we were able to drive back those Gracian wretches. In the end, we were victorious, but the people of Gludio paid far too high a price. All I wish is that a war like that never happens again.
Return